import { SearchOptions } from './types';
/**
 * Method to search the given text in the given data.
 *
 * @param {string} data Data on which search will be performed.
 * @param {string} textToSearch Text to search in file.
 * @param {object} options Various options for file search.
 * @returns {boolean} Returns true is text is present in given data. Else returns false
 */
export declare const search: (data: string, textToSearch: string, options: SearchOptions) => boolean;
/**
 * Method to read the given file and search for the given text.
 *
 * @param {string} filePath Path of the file to search.
 * @param {string} textToSearch Text to search in file.
 * @param {object} options Various options for file search.
 * @returns {promise} Returns a promise that resolves with path of file in which the given text is present.
 */
export declare const readFileAndSearch: (filePath: string, textToSearch: string, options: SearchOptions) => Promise<unknown>;
//# sourceMappingURL=fileSearch.d.ts.map